html {
  overflow-x: hidden;
}

body {
  font-family: "Lucida Sans Unicode", "Lucida Grande", sans-serif;
  padding: 1em;
  min-width: 320px;
  margin: 0 auto;
  background-color: #fff;
  color: #222;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  -ms-box-sizing: border-box;
  box-sizing: border-box;
  line-height: 1.5;
}

dl, dt, dd {
  padding: 0;
  margin: 0;
  display: block;
}

dl {
  margin: 1em 0;
}

table {
  width: 100%;
}

tr {
  border-bottom: solid 1px #ccc;
}
tr:nth-child(even) {
  background-color: #F7FFF2;
}

th, td {
  vertical-align: top;
  text-align: left;
  padding: 0.5em;
}

th {
  background-color: #333;
  color: #fff;
}

h1, .it-skill dt {
  font-weight: 300;
  text-align: center;
  font-size: 2em;
  font-family: "ChunkFiveRegular", "Georgia", serif;
}

h1 {
  border-top: solid 1px #222;
  border-bottom: double 3px #222;
  text-transform: uppercase;
}

header h1 {
  margin: 0;
}

p {
  text-align: justify;
  -moz-hyphens: auto;
  hyphens: auto;
  margin-bottom: 0;
  margin-top: 0;
}

p + p {
  text-indent: 1em;
}

a {
  color: #382;
  text-decoration: none;
}

a:focus, a:active, a:hover {
  color: #685;
}

a:hover {
  text-decoration: underline;
}

input, select, textarea {
  display: block;
  width: 100%;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  border: solid 1px #ccc;
  margin: 0 0 0.5em;
  padding: 0.5em;
}

input[type="radio"], input[type="checkbox"] {
  display: auto;
}

input[type="submit"], input[type="reset"], button {
  border: 0;
}

input[type="submit"]:-moz-focus-inner, input[type="reset"]:-moz-focus-inner, button:-moz-focus-inner {
  border: 0;
  padding: 0;
}

header h1 {
  font-size: 2.5em;
  margin-top: 0;
}

nav ul {
  padding: 0;
  overflow: auto;
}

nav li {
  display: block;
  float: left;
  width: 50%;
}

a.button, a.button:hover, button, button:hover, input[type="submit"], input[type="submit"]:hover, input[type="reset"], input[type="reset"]:hover {
  padding: 0.5em;
  text-align: center;
  background: #352;
  text-decoration: none;
  color: #fff;
  text-shadow: -1px -1px 0 #000;
}

a.button {
  display: inline-block;
}

nav a.button, nav a.button:hover {
  margin: 0.5em;
  display: block;
}

a.button:hover, a.button:hover, button:hover, input[type="submit"]:hover, input[type="reset"]:hover {
  background: #426e2c;
}

nav li:nth-child(odd) a {
  margin-right: 0.5em;
}

nav li:nth-child(even) a {
  margin-left: 0.5em;
}

#introduction p {
  font-size: 1.2em;
  line-height: 1.5;
  text-align: center;
  margin: 2em;
}

.home {
  display: none;
}

.button-container {
  text-align: right;
}

.it-skill {
  padding: 2em;
  margin-top: 0;
  background-color: #333;
  color: #FFF;
  position: relative;
  z-index: 10;
  text-shadow: -1px -1px #111;
}

.it-skill img, .it-skill object {
  max-height: 100px;
}

.it-skill dt {
  border-color: #FFF;
  margin-bottom: 0.75em;
}

.it-skill dt, .it-skill dd {
  text-align: center;
}

#vita th:first-child, #vita td:first-child {
  width: 33%;
}

footer {
  background-color: #222;
  color: #fff;
  margin: 1em -1em -1em;
  padding: 1em;
  font-size: 75%;
}

footer p {
  text-align: center;
}

footer p:first-child {
  margin-top: 0;
}

footer p:last-child {
  margin-bottom: 0;
}


.btt-container {
  text-align: right;
  margin-top: 1em;
}

.person-content > p {
  margin-top: 0;
  /*display: inline-block;*/
}


/* Alerts as seen in Bootstrap 3.0.0 (http://getbootstrap.com/) */

.alert {
  padding: 15px;
  margin-bottom: 20px;
  border: 1px solid transparent;
  border-radius: 4px;
}

.alert > p,
.alert > ul {
  margin-bottom: 0;
}

.alert > p + p {
  margin-top: 5px;
}

.alert-dismissable {
  padding-right: 35px;
}

.alert-dismissable .close {
  position: relative;
  top: -2px;
  right: -21px;
  color: inherit;
}

.alert-success {
  color: #468847;
  background-color: #dff0d8;
  border-color: #d6e9c6;
}

.alert-success hr {
  border-top-color: #c9e2b3;
}

.alert-success .alert-link {
  color: #356635;
}

.alert-info {
  color: #3a87ad;
  background-color: #d9edf7;
  border-color: #bce8f1;
}

.alert-info hr {
  border-top-color: #a6e1ec;
}

.alert-info .alert-link {
  color: #2d6987;
}

.alert-warning {
  color: #c09853;
  background-color: #fcf8e3;
  border-color: #fbeed5;
}

.alert-warning hr {
  border-top-color: #f8e5be;
}

.alert-warning .alert-link {
  color: #a47e3c;
}

.alert-danger {
  color: #b94a48;
  background-color: #f2dede;
  border-color: #eed3d7;
}

.alert-danger hr {
  border-top-color: #e6c1c7;
}

.alert-danger .alert-link {
  color: #953b39;
}

@media (min-width: 480px) {
  .it-skills-content {
    clear: both;
  }

  .it-skills-content p:first-child {
    margin-top: 0;
  }
}

@media (min-width: 480px) and (max-width: 699px) {
  .person-content {
    -webkit-column-count: 2;
    -moz-column-count: 2;
    column-count: 2;
    -webkit-column-gap: 2em;
    -moz-column-gap: 2em;
    column-gap: 2em;
  }

  .it-skill {    
    width: 48.5%;
    min-height: 256px;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
  }

  .it-skill.odd {
    float: left;
  }

  .it-skill.even {
    float: right;
  }
}

@media (min-width: 480px) and (max-width: 959px) {
  .it-skills-content {
    -webkit-column-count: 2;
    -moz-column-count: 2;
    column-count: 2;
    -webkit-column-gap: 2em;
    -moz-column-gap: 2em;
    column-gap: 2em;
  }
}

@media (min-width: 640px) {
  #vita, #contact {
    width: 48.5%;
  }

  #vita {
    float: left;
    margin-bottom: 2em;
  }

  #vita .btt-container {
    display: none;
  }

  #contact {
    float: right;
  }

  #contact + footer {
    clear: both;
  }
}

@media (min-width: 700px) {
  .person-content {
    -webkit-column-count: 3;
    -moz-column-count: 3;
    column-count: 3;
    -webkit-column-gap: 2em;
    -moz-column-gap: 2em;
    column-gap: 2em;
  }

  .it-skill {    
    width: 32%;
    float: left;
    min-height: 232px;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
  }

  .it-skill:nth-child(3n+1) {
    margin-right: 2%;
  }

  .it-skill:nth-child(3n+3) {
    margin-left: 2%;
  }

}

@media (max-width: 959px) {
  #html {
    color: #F06529;
  }

  #css {
    color: #0092BE;
  }

  #javascript {
    color: #88AB33;
  }

  #jquery {
    color: #7ACEF4;
  }

  #smarty {
    color: #F0C040;
  }

  #php {
    color: #777BB4;
  }
}

@media (min-width: 960px) {

  body {
    width: 80%;
    max-width: 1330px;
    padding: 88px 0 0 0;
  }

  header {
    position: fixed;
    top: 0;
    left: 0;
    overflow: hidden;
    background-color: #333;
    width: 100%;
    z-index: 50;
    box-shadow: 0 0 1em #000;
  }

  header h1 {
    margin: 0.33333em 0.33333em 0.33333em 10%;
    padding: 0.33333em 0.33333em 0.33333em 0;
    float: left;
    border: none;
    text-transform: none;
    font-size: 150%;
    line-height: 1;
    color: #FFF;
    text-shadow: -1px -1px 0 #000;
  }

  nav {
    float: right;
    margin-right: 10%;
  }

  nav ul {
    margin: 0;
  }

  nav li {
    width: auto;
    min-width: 10%;
  }

  footer {
    position: relative;
  }

  footer:before {
    position: absolute;
    z-index: -1;
    height: 100%;
    width: 125%;
    content: '';
    background: #222 none;
    left: -12.5%;
    top: 0;
  }

  #introduction p {
    margin: 0 4em 1em;
    font-size: 1.5em;
  }

  .home {
    display: block;
  }

  .home img {
    max-width: 100%;
    max-height: 100%;
    height: 1em;
    vertical-align: middle;
  }

  .btt-container {
    display: none;
  }

  .it-skills-content {
    width: 32%;
    margin: 0 34% 1em 34%;
    padding-top: 1em;
  }

  .it-skill {
    transition: transform 300ms ease, box-shadow 300ms ease, color 300ms ease;
  }

   .it-skill:hover {
    box-shadow: 0 0 1em #000;
    transform: scale(1.2) rotate(0.5deg);
    z-index: 20;
  }

  .it-skill:hover:nth-child(even) {
    transform: scale(1.2) rotate(-0.5deg);
  }

   #html:hover {
    color: #F06529;
  }

  #css:hover {
    color: #0092BE;
  }

  #javascript:hover {
    color: #88AB33;
  }

  #jquery:hover {
    color: #7ACEF4;
  }

  #smarty:hover {
    color: #F0C040;
  }

  #php:hover {
    color: #777BB4;
  }
}

@media (min-width: 1110px) {
  .it-skill {
    min-height: 184px;
  }
}